#ifndef DIALOGCHECKDB_H
#define DIALOGCHECKDB_H

#include <QDialog>
#include "providerdblms.h"

namespace Ui {
class DialogCheckDB;
}

class DialogCheckDB : public QDialog
{
    Q_OBJECT

public:
    explicit DialogCheckDB(ProviderDBLMS* providerDBLMS, QWidget *parent = nullptr);
    ~DialogCheckDB();

private slots:
    void on_btnRepare_clicked();

private:
    void check();
    void prepareRestoreDBscript();

private:
    Ui::DialogCheckDB *ui;

    ProviderDBLMS* providerDBLMS;

    bool resDriver;
    bool resUser;
    bool resDB;
};

#endif // DIALOGCHECKDB_H
